Attribute VB_Name = "modFileAPI"
Option Explicit

Public Declare Function CreateFile Lib "coredll" Alias "CreateFileW" ( _
    ByVal lpFileName As String, _
    ByVal dwDesiredAccess As Long, _
    ByVal dwShareMode As Long, _
    lpSecurityAttributes As Long, _
    ByVal dwCreationDisposition As Long, _
    ByVal dwFlagsAndAttributes As Long, _
    ByVal hTemplateFile As Long) As Long

Public Declare Function ReadFile Lib "coredll" ( _
    ByVal hFile As Long, _
    ByVal lpBuffer As String, _
    ByVal nNumberOfBytesToRead As Long, _
    lpNumberOfBytesRead As Long, _
    ByVal lpOverlapped As Long) As Long

Public Declare Function WriteFile Lib "coredll" ( _
    ByVal hFile As Long, _
    ByVal lpBuffer As String, _
    ByVal nNumberOfBytesToWrite As Long, _
    lpNumberOfBytesWritten As Long, _
    ByVal lpOverlapped As Long) As Long

Public Declare Function CloseHandle Lib "coredll" ( _
    ByVal hObject As Long) As Long

Public Declare Function SetFilePointer Lib "coredll" ( _
    ByVal hFile As Long, _
    ByVal lDistanceToMove As Long, _
    lpDistanceToMoveHigh As Long, _
    ByVal dwMoveMethod As Long) As Long

Public Declare Function GetFileSize Lib "coredll" ( _
    ByVal hFile As Long, _
    lpFileSizeHigh) As Long
    
Public Declare Function GetLastError Lib "coredll" () As Long

Public Const FILE_BEGIN As Long = 0
Public Const FILE_CURRENT As Long = 1
Public Const FILE_END As Long = 2
Public Const READ_CONTROL = &H20000
Public Const READ_WRITE = 2
Public Const FILE_READ_DATA = (&H1)
Public Const FILE_READ_ATTRIBUTES = (&H80)
Public Const FILE_READ_EA = (&H8)
Public Const FILE_WRITE_ATTRIBUTES = (&H100)
Public Const FILE_WRITE_DATA = (&H2)
Public Const FILE_WRITE_EA = (&H10)
Public Const FILE_APPEND_DATA = (&H4)
Public Const SYNCHRONIZE = &H100000

Public Const CREATE_ALWAYS = 2
Public Const OPEN_EXISTING = 3
Public Const OPEN_ALWAYS = 4
Public Const STANDARD_RIGHTS_WRITE = &H20000
Public Const STANDARD_RIGHTS_READ = &H20000
Public Const GENERIC_READ = &H80000000
Public Const GENERIC_WRITE = &H40000000


